Passer de bullseye-security à bookworm-security

Tags: #<Tag:0x00007fb9881508d0> #<Tag:0x00007fb9881507e0> #<Tag:0x00007fb9881506c8>

Bonjour.

Je suis très heureux de la sortie de Bullseye… dont je me servais depuis lurette, vu que je suis en testing.
Mon /etc/apt/sources.list est rédigé ainsi :

# Testing
deb http://ftp.fr.debian.org/debian/ testing main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free

# Testing security updates
deb http://security.debian.org/ testing-security/updates main contrib non-free
deb-src http://security.debian.org/ testing-security/updates main contrib non-free

Je trouve plus pratique de ne pas indiquer le nom de la distribution, précisément pour rester en testing lors des releases.

Mais voilà, depuis hier ce texte s’affiche dès que j’utilise apt :

Le dépôt « http://security.debian.org testing-security/updates InRelease » a modifié sa valeur « Codename » de « bullseye-security » à « bookworm-security ». Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.Le dépôt « http://ftp.fr.debian.org/debian testing InRelease » a modifié sa valeur « Codename » de « bullseye » à « bookworm »

Je ne me souviens plus comment on fait pour « accepter » ce changement. Et les pages de man ou le site de debian ne m’ont pas été d’une grande utilité. Donc si quelqu’un pouvait me venir en aide, ce serait sympa.

1 J'aime

--allow-releaseinfo-change ?

3 J'aime

sudo apt-get update

repondre o

N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées.
Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.
Souhaitez-vous accepter ces modifications et continuer à mettre à jour depuis ce dépôt ? [o/N] o
3 J'aime

Si tu souhaites rester sur testing, le plus simple c’est de retirer ce dépôt bullseye/bookworm-security qui ne sert que pour la version stable.

1 J'aime

Toutes les versions ont leur dépôt de sécurité, je ne vois pas pourquoi on s’en priverai

http://security.debian.org/debian-security/dists/

Capture d’écran de 2021-08-16 13-27-23

Il me semblait que le dépôt de sécurité de testing n’était utilisé que peu de temps avant la publication.

1 J'aime

Le problème est que, quand je fais sudo apt-get update, la question ne m’est pas posée :

E: Le dépôt « http://security.debian.org testing-security/updates InRelease » a modifié sa valeur « Codename » de « bullseye-security » à « bookworm-security »
N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.
E: Le dépôt « http://ftp.fr.debian.org/debian testing InRelease » a modifié sa valeur « Codename » de « bullseye » à « bookworm »
N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.
1 J'aime

et la solution PH?

apt-get update --allow-releaseinfo-change
2 J'aime

Parce que ce n’est pas un dépôt de mises-à-jour de sécurité pour Debian testing. Et que c’est juste contre-productif d’ajouter des dépôts inutiles sur un système. Surtout si en plus ça nous pousse à croire qu’on a un suivi de sécurité qui dans la pratique n’existe pas.

Comme le laisse entendre @PascalHambourg, c’est un dépôt qui sert lors de la préparation de la sortie d’une Debian stable, pour s’assurer qu’il soit fonctionnel au moment-même de la publication de celle-ci et pas seulement une ou deux semaines après.

796 ko réceptionnés en 2s (401 ko/s)                                           
Lecture des listes de paquets... Fait
N: Le dépôt « http://security.debian.org testing-security/updates InRelease » a modifié sa valeur « Codename » de « bullseye-security » à « bookworm-security »
N: Le dépôt « http://ftp.fr.debian.org/debian testing InRelease » a modifié sa valeur « Codename » de « bullseye » à « bookworm »

… merci @grandtoubab !

1 J'aime